<?php

namespace App\Modules\DefinedService\Route\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class ListRouteQuery implements Query
{
    public function __construct(
        private string $description,
        private string $action
    ) {}

    public function description(): string
    {
        return $this->description;
    }

    public function action(): string
    {
        return $this->action;
    }
}
